Skip to main content

Delete Tenant

Delete Tenant is used to delete a tenant, which was created using Create Tenant.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

DELETE https://master.{hostname}/digitanium/v4/tenants/{tenantname}

HTTP request URL for SHIFT​

DELETE https://{hostname}/auth/realms/master/v3_realm/{tenantname}
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required.

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.

Sample Response​

{
"message": "Tenant deleted successfully",
"status": "OK",
"subSystem": 1
}

Response Status Information​

Status CodeStatusMessage
200OKTenant deleted successfully
401UnauthorizedHTTP 401 Unauthorized
404TENANT_NOT_FOUNDTenant does not exist